﻿#region Copyright
/// <summary>The ScummVM WPF UI project</summary>
/// <copyright>(c) 2016 MojoTouch</copyright>
/// <author>Ilya Rovensky</author>
#endregion

using System;
using System.Threading;
using System.Timers;
using System.Windows;

namespace WpfInterface
{
    /// <summary>
    /// Starting page - also serves as a root element in navigation
    /// </summary>
    public partial class SplashScreen : Menu
    {
        private System.Timers.Timer _timer;

        public SplashScreen()
        {            
            InitializeComponent();

            _timer = new System.Timers.Timer(2000)
            {
                AutoReset = false,
                Enabled = true
            };

            _timer.Elapsed += OnTimer;
        }

        private void OnTimer(object sender, ElapsedEventArgs e)
        {
            //Dispatcher.BeginInvoke(new Action(() =>
            //{
            //    // TODO: replace with animated transition
            //    Thread.Sleep(500); // to prevent flicker between the splash screen and the main menu
            //    Visibility = Visibility.Hidden;
            //}));

            Result = MenuAction.Splash;
        }
    }
}
